
package utilizacionfor;

import java.io.BufferedReader;
import java.io.InputStreamReader;

public class UtilizacionFor {

    public static void main(String[] args) {
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
        String cadenaRepeticion = "S" , cadenaAConvertir = "";
        int numero;
        int contador;
        int acumulador;
        
        try {
             for (contador = 1 , acumulador = 0; (cadenaRepeticion.charAt(0) == 'S' || cadenaRepeticion.charAt(0) == 's') && (contador <= 5) ; contador++ )
             {
                  System.out.print("Introducir número : ");
                  cadenaAConvertir = bufferedReader.readLine(); 
                  numero = Integer.parseInt(cadenaAConvertir);
                  acumulador+=numero;
                  System.out.print("Introducir otro número (S/N) : ");
                  cadenaRepeticion = bufferedReader.readLine();
             } 
             
             System.out.println("Se han introducido un total de "+(contador-1)+" números");
             System.out.println("El valor acumulado de todos ellos es : "+acumulador);
        } catch (Exception excepcion)
        { System.out.println(excepcion.getMessage());
        }        
        
        //----------------------------------------------------------------------------------
        
        for (int i = 1; i <= 10 ; i++)
        {
            System.out.println("TABLA DEL : "+i);
            for (int j = 1; j <= 10 ; j++)
            {
                System.out.print(i+" X "+j+" = "+(i*j)+"    ");
            }
            System.out.println(" ");
        }

    }
}
  